; VGA_MEMORY equ 0xB8000
; VGA_ROW_SIZE equ 80

; BLACK         equ 0x0
; BLUE          equ 0x1
; GREEN         equ 0x2
; CYAN          equ 0x3
; RED           equ 0x4
; MAGENTA       equ 0x5
; BROWN         equ 0x6
; LIGHT_GREY    equ 0x7
; DARK_GREY     equ 0x8
; LIGHT_BLUE    equ 0x9
; LIGHT_GREEN   equ 0xA
; LIGHT_CYAN    equ 0xB
; LIGHT_RED     equ 0xC
; LIGHT_MAGENTA equ 0xD
; LIGHT_BROWN   equ 0xE
; WHITE         equ 0xF

%ifmacro debug
%else

%macro debug 0
    mov si, 0xB800
    mov es, si
    mov word [es:0], 0x3300 | ' '
    cli
    hlt
    jmp $
%endmacro

%macro debugPM 0
    mov si, 0x10
    mov es, si
    mov word [es:0xB8000], 0x3300 | ' '
    cli
    hlt
    jmp $
%endmacro

%endif