%ifmacro read_pci_register
%else

%include "./utils/miscelaneous.asm"

PCI_CONFIG_ADDRESS equ 0xCF8
PCI_CONFIG_DATA equ 0xCFC

PCI_BAR_0_OFFSET equ 0x10
PCI_BAR_1_OFFSET equ 0x14

; Remember: You should read only dword values in dword aligned boundaries
%macro read_pci_register 0
    mov dx, PCI_CONFIG_ADDRESS
    out dx, eax
    mov dx, PCI_CONFIG_DATA
    in eax, dx
%endmacro

; Remember: You should write only dword values in dword aligned boundaries
%macro write_pci_register 0
    mov dx, PCI_CONFIG_ADDRESS
    out dx, eax
    exchange_register_values eax, ebx
    mov dx, PCI_CONFIG_DATA
    out dx, eax
    exchange_register_values eax, ebx
%endmacro

%endif