cli

xor	ax, ax
mov	ds, ax
mov	es, ax
lgdt [ds:protected_mode.gdtr_start]
mov	eax, cr0
or eax, 1
mov	cr0, eax
; The following line sets the CS register
jmp protected_mode.gdt_code - protected_mode.gdt_start:protected_mode.next_instruction



protected_mode.gdt_start:
protected_mode.gdt_null:
    dq 0            ; null descriptor 

protected_mode.gdt_code:
    dw 0xFFFF       ; Segment Limit 15:00
    dw 0x0000       ; Base Address 15:00
    db 0x00         ; Base Address 23:16
       ; Present    Privilege       Descriptor type     Executable      Conforming      Readable    Accessed
    db 0b1__________00______________1___________________1_______________0_______________1___________0
       ; Granularity    32 bits     64 bits     Available   Segment Limit 19:16
    db 0b1______________1___________0___________0___________1111
    db 0x00         ; Base 31:24

protected_mode.gdt_data:
    dw 0xFFFF       ; Segment Limit 15:00
    dw 0x0000       ; Base Address 15:00
    db 0x00         ; Base Address 23:16
       ; Present     Privilege      Descriptor type     Executable      Expansion-direction     Write-enable    Accessed
    db 0b1___________00_____________1___________________0_______________0_______________________1_______________0
       ; Granularity    32 bits     64 bits     Available   Segment Limit 19:16
    db 0b1______________1___________0___________0___________1111
    db 0x00         ; Base 31:24

protected_mode.gdt_end:

protected_mode.gdtr_start:
    dw protected_mode.gdt_end - protected_mode.gdt_start - 1
    dd protected_mode.gdt_start

bits 32
protected_mode.next_instruction:
mov ax, protected_mode.gdt_data - protected_mode.gdt_start
mov ds, ax
mov es, ax
mov ss, ax
mov esp, 0x0000_0500